Support on Travis CI and coverage
diff --git a/.travis.yml b/.travis.yml
new file mode 100644
index 0000000..0808dd6
--- /dev/null
+++ b/.travis.yml
@@ -0,0 +1,8 @@
+language: dart
+sudo: false
+dart:
+  - stable
+  - dev
+before_install:
+  - pub global activate dart_coveralls
+script: ./tool/travis.sh
diff --git a/README.md b/README.md
index 7a38816..e5321d9 100644
--- a/README.md
+++ b/README.md
@@ -1,6 +1,7 @@
 `shelf_static` is a `Handler` for the Dart `shelf` package.
 
-[![Build Status](https://drone.io/github.com/kevmoo/shelf_static.dart/status.png)](https://drone.io/github.com/kevmoo/shelf_static.dart/latest)
+[![Build Status](https://travis-ci.org/kevmoo/shelf_static.dart.svg?branch=master)](https://travis-ci.org/kevmoo/shelf_static.dart?branch=master)
+[![Coverage Status](https://coveralls.io/repos/kevmoo/shelf_static.dart/badge.svg?branch=master)](https://coveralls.io/r/kevmoo/shelf_static.dart?branch=master)
 
 
 ### Example
diff --git a/tool/travis.sh b/tool/travis.sh
new file mode 100755
index 0000000..f7ac953
--- /dev/null
+++ b/tool/travis.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+# Fast fail the script on failures.   
+set -e
+
+dart --checked test/test_all.dart
+
+# Install dart_coveralls; gather and send coverage data.
+if [ "$COVERALLS_TOKEN" ] && [ "$TRAVIS_DART_VERSION" = "stable" ]; then
+  pub global run dart_coveralls report \
+    --token $COVERALLS_TOKEN \
+    --retry 2 \
+    --exclude-test-files \
+    test/test_all.dart
+fi